Subject: Configuration per application context

Description

TYPO3 Flow allows for different configuration per application context (even subcontexts). The same should be supported in CMS,
too.

Related issues:
related to Core - Bug # 57289: Respect additional configuration file for sile... Closed 2014-03-25

History

#1 - 2014-08-19 15:47 - Markus Klein

Ehm, we already have application context in 6.2.
You can query them in TS too.

What do you mean with this ticket?

#2 - 2014-08-19 16:03 - Mathias Brodala

Markus Klein wrote:

Ehm, we already have application context in 6.2.

You can query them in TS too.

What do you mean with this ticket?

| mean being able to have an unlimited amount of configuration files like this:

typo3conf/ProductionConfiguration.php
typo3conf/DevelopmentConfiguration.php
typo3conf/Development/VirtualMachineConfiguration.php
typo3conf/LocalConfiguration.php

If I am in Production context, only the ProductionConfiguration.php is loaded.

If I am in Development, only the DevelopmentConfiguration.php is loaded.

If I am in Development/VirtualMachine, DevelopmentConfiguration.php and VirtualMachineConfiguration.php are loaded.
The LocalConfiguration.php is loaded in any case.

For a formal description see TYPO3 Flow Documentation: Configuration

I think | don't have to mention the vast advantages of a configuration setup like this. ;-)
http://docs.typo3.org/flow/TYPO3FlowDocumentation/TheDefinitiveGuide/PartIII/Configuration.html

#3 - 2014-08-19 16:14 - Markus Klein
At least you can easily emulate this already with the AdditionalConfiguration.php file.
Just implement a simple include there.
#4 - 2014-08-19 16:19 - Mathias Brodala
Markus Klein wrote:
At least you can easily emulate this already with the AdditionalConfiguration.php file.

Just implement a simple include there.

Yes, | know and | already use this file for various purposes. But this issue is about supporting this kind of configuration setup out of the box and
properly just like TYPO3 Flow.

#5 - 2014-10-22 11:33 - Mathias Brodala

Markus Klein wrote:

At least you can easily emulate this already with the AdditionalConfiguration.php file.
Just implement a simple include there.

As can be seen in #57289 it is actually not possible to fully override the LocalConfiguration.php using the AdditionalConfiguration.php in any case.

#6 - 2014-12-23 19:42 - Mathias Schreiber

- Target version changed from 7.0 to 7.1 (Cleanup)

#7 - 2015-04-15 09:58 - Mathias Brodala

For the reference there is at least the environment extension which implements something like this.

#8 - 2015-04-15 10:05 - Markus Klein
- Target version changed from 7.1 (Cleanup) to 7.4 (Backend)
http://typo3.org/extensions/repository/view/environment

